November 30, 2022
The National Cybersecurity Leadership Center urged citizens to update Apple products due to security vulnerabilities and cyberattacks.

And in a statement released by the center, it says: “Apple has launched several updates to address a number of gaps in its products, recommending that affected products be updated to the following versions:

iOS 15.6.1 and iPadOS 15.6.1 are available for the following products:

iPhone 6s and later

iPad Pro (all models)

iPad Air 2 and later

iPad 5th generation and above

iPad mini 4 and later

iPod touch (7th generation)

macOS Monterey 12.5.1

Available for the following products:

macOS Monterey

watchOS 8.7.1

Available for the following products:

Apple Watch Series 3

Safari 15.6.1

Available for the following products:

macOS Big Sur

macOS Catalina

The center added that an attacker can take advantage of vulnerabilities by running malware with high power, so it needs to be updated.

Apple has urged its billions of users to update their devices after it discovered serious security holes in iPhone, iPad and Mac devices that could potentially allow attackers to take complete control of them.

For its part, content creator Iyad Al-Hamoud confirmed that Apple has urged users of its devices to update immediately due to a new security vulnerability.

Leave a Reply

Your email address will not be published.